#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_VipPointsMallCFGData
{
	//编号
	int mID;
	//需要vip等级
	int mVipLevel;
	//物品描述
	std::string mItemDesc;
	//道具ID
	int mItemId;
	//道具数量
	int mItemCount;
	//每日库存
	int mDailyStock;
	//需要积分数量
	int mVipNtegralCount;
};

class M_VipPointsMallCFG
{
public:
private:
	static std::auto_ptr<M_VipPointsMallCFG> msSingleton;
public:
	int GetCount();
	const M_VipPointsMallCFGData* GetData(int ID);
	boost::unordered_map<int, M_VipPointsMallCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_VipPointsMallCFG* GetSingleton();
private:
	boost::unordered_map<int, M_VipPointsMallCFGData> mMapData;
};
